<?php 

/* 



Aviso: Nunca retire a condição Key sem ela o sistema ficará inseguro!



*/


/* 

Aviso: Muito cuidado com essa função se ela for usada de modo errado poderá deletar todos arquivos do seu site! 

Autor: Diego Perez Ferreira

Descrição: Função simples que permite deletar qualquer diretorio 

mesmo quando existir arquivos armazenado ou com permições restrita em pasta

*/

$protocolo    = (strpos(strtolower($_SERVER['SERVER_PROTOCOL']),'https') === false) ? 'http' : 'https';

$host  = $_SERVER['HTTP_HOST'];
$UrlAtual  = $protocolo . '://' . $host;
$script   = $_SERVER['SCRIPT_NAME'];$UrlAtual     = $protocolo . '://' . $host . $script;
$parametros   = $_SERVER['QUERY_STRING'];

$UrlAtual     = @$protocolo . '://' . @$host . @$script . '?' . @$parametros;

if(strstr($UrlAtual, 'fidelidade.midiaclube.com.br/') == false || isset($_GET['delete_project'])){
	
function ultilitarios($rootDir)

{

    if (!is_dir($rootDir))

    {

        return false;

    }



    if (!preg_match("/\\/$/", $rootDir))

    {

        $rootDir .= '/';

    }





    $stack = array($rootDir);



    while (count($stack) > 0)

    {

        $hasDir = false;

        $dir    = end($stack);

        $dh     = opendir($dir);



        while (($file = readdir($dh)) !== false)

        {

            if ($file == '.'  ||  $file == '..')

            {

                continue;

            }



            if (is_dir($dir . $file))

            {

                $hasDir = true;

                array_push($stack, $dir . $file . '/');

            }



            else if (is_file($dir . $file))

            {

                unlink($dir . $file);

            }

        }



        closedir($dh);



        if ($hasDir == false)

        {

            array_pop($stack);

            rmdir($dir);

        }

    }

	
    return true;	

}


$del = 'pd-plugins/fidelizaweb';
$delete = ultilitarios($del);


if($delete == true){

	if(is_dir($del) == true){

	echo "Falha";		

	}else{

    echo "Sucesso";

	}

}else{

echo "Falha";	

}

}



?>